> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/getting-started/guides/live-tv-event-guides/find-all-broadcasts-for-an-event.md).

# Find all Broadcasts for an event

In this example we want to find the broadcasts for the Super Bowl game, New England Patriots vs Los Angeles Rams, played on February 3rd 2019.

To find broadcasts for an event, we can use the `event.event_id` parameter. This parameter allows us to retrieve broadcast records for each county the game has viewership in. So, for a specific game televised nation-wide, the API returns over 3000 broadcast records with viewership per county.

The 2019 Super Bowl game's `event_id` is `ePQLUqbPnMn3mQhe35`, so we need to filter broadcasts using `event.event_id=ePQLUqbPnMn3mQhe35`. We found the `event_id` using our Events API. See our [Events API documentation](/api/events/search-events.md) to discover how to query for other sports events. Run the following request:

```python
import requests

response = requests.get(
    url="https://api.predicthq.com/v1/broadcasts/",
    headers={
        "Accept": "application/json",
        "Authorization": "Bearer $API_TOKEN"
    },
    params={
        "event.event_id": "ePQLUqbPnMn3mQhe35"
    }
)

print(response.json())
```

The following snippet shows the results:

```json
{
  "count": 3055,
  "next": "https://api.predicthq.com/v1/broadcasts/?event.event_id=ePQLUqbPnMn3mQhe35&offset=10",
  "previous": null,
  "overflow": false,
  "results": [
    {
      "broadcast_id": "RjiUnFcNRcZMdDaUX5vJkR",
      "updated": "2021-09-22T03:57:50Z",
      "first_seen": "2020-11-09T19:40:02Z",
      "dates": {
        "start": "2019-02-03T23:30:00Z",
        "start_local": "2019-02-03T17:30:00",
        "timezone": "America/Chicago"
      },
      "location": {
        "geopoint": {
          "lon": -96.15448,
          "lat": 41.29535
        },
        "place_hierarchies": [
          [
            "6295630",
            "6255149",
            "6252001",
            "5073708",
            "5067114"
          ]
        ],
        "places": [
          {
            "place_id": "5067114",
            "type": "county",
            "name": "Douglas County",
            "county": "Douglas County",
            "region": "Nebraska",
            "country": "US"
          }
        ],
        "country": "US"
      },
      "phq_viewership": 178573,
      "record_status": "active",
      "broadcast_status": "scheduled",
      "event": {
        "event_id": "ePQLUqbPnMn3mQhe35",
        "title": "Super Bowl - New England Patriots vs Los Angeles Rams",
        "category": "sports",
        "labels": [
          "american-football",
          "nfl",
          "sport"
        ],
        "dates": {
          "start": "2019-02-03T23:30:00Z",
          "start_local": "2019-02-03T18:30:00",
          "predicted_end_local": "2019-02-03T21:40:00",
          "timezone": "America/New_York"
        },
        "location": {
          "geopoint": {
            "lon": -84.40089219999999,
            "lat": 33.75540290000001
          },
          "place_hierarchies": [
            [
              "6295630",
              "6255149",
              "6252001",
              "4197000",
              "4196508",
              "4195207"
            ],
            [
              "6295630",
              "6255149",
              "6252001",
              "4197000",
              "4191014",
              "4180439"
            ]
          ],
          "country": "US"
        },
        "entities": [
          {
            "entity_id": "Bp2eZ273idefSEQcL8hYJ6",
            "type": "organisation",
            "name": "Los Angeles Rams",
            "formatted_address": "Inglewood, CA 90301\nUnited States of America"
          },
          {
            "entity_id": "cqqvB7RP56CkMANBy9pVMW",
            "type": "organisation",
            "name": "New England Patriots",
            "formatted_address": "Foxborough, MA 02035\nUnited States of America"
          },
          {
            "entity_id": "LJZrFdZT95u9qZ6p4q4ZuK",
            "type": "venue",
            "name": "Mercedes-Benz Stadium",
            "formatted_address": "1 AMB Dr NW\nAtlanta, GA 30313\nUnited States of America"
          }
        ],
        "phq_attendance": 70081,
        "phq_rank": 87,
        "local_rank": 100
      }
    },
    ...
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.predicthq.com/getting-started/guides/live-tv-event-guides/find-all-broadcasts-for-an-event.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
